<!DOCTYPE html>
<html lang="en-US">
	<head>
		<title>web</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
		<link rel="stylesheet" href="style.css">
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
	</head>
	<body class="mr-0">
		<header>
			<nav class="navbar navbar-dark bg-dark">
  				<a class="navbar-brand" href="#">
    				<img src="logo.png" width="30" height="30" class="d-inline-block align-top" alt="">
    				<strong>L A M B D A</strong>
  				</a>
  				<form class="form-inline my-2 my-lg-0">
      				<input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      				<button class="btn btn-outline-secondary my-2 my-sm-0" type="submit">Search</button>
    			</form>
			</nav>
		</header>

		<p><a id="top"></a></p>

		<div class="container">
			<div class="overflow-auto">
				<div class="menu">
					<div class="row">
						<div class="col-12 col-md-4">
							<a href="#">Главная</a>
						</div>
						<div class="col-12 col-md-4">
			    			<a href="#">О нас</a>
						</div>
						<div class="col-12 col-md-4">
			   				<a href="#">Контакты</a>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="container">
			<div class="overflow-auto">
				<div class="flexbox d-flex flex-column">
					<div class="hyperlink">
						<h1>Гиперссылки</h1>
						<ol>

							<li>
								<a href="http://ru.wikipedia.org/wiki/Заглавная_страница">
									http://ru.wikipedia.org/wiki/Заглавная_страница
								</a>
								 - абсолютная гиперссылка на главную страницу сайта
							</li>

							<li><a href="https://ru.wikipedia.org/wiki/Заглавная_страница">
									https://ru.wikipedia.org/wiki/Заглавная_страница </a>
								 - абсолютная гиперссылка на главную страницу в протоколе https
							</li>

							<li>
								<a href="ftp://speedtest.tele2.net/1GB.zip">
									ftp://speedtest.tele2.net/1GB.zip
								</a>
								 - ссылка на файл на сервере FTP без авторизации
							</li>

							<li>
								<a href="ftp://user:password@speedtest.tele2.net/1GB.zip">
									ftp://user:password@speedtest.tele2.net/1GB.zip
								</a>
								 - ссылка на файл на сервере FTP с авторизацией
							</li>

							<li>
								<a href="https://ru.wikipedia.org/wiki/Пушкин,_Александр_Сергеевич#Молодость">
									https://ru.wikipedia.org/wiki/Пушкин,_Александр_Сергеевич#Молодость
								</a>
								 - ссылка на фрагмент страницы некоторого сайта
							</li>

							<li>
								<a href="#top">
									Наверх
								</a>
								 - ссылка на фрагмент текущей страницы
							</li>

							<li>
								<a href="https://www.asos.com/women/shoes/boots/cat/?cid=6455&nlid=ww%7Cshoes%7Cshop%2Bby%2Bproduct%0A">
									https://www.asos.com/women/shoes/boots/cat/?cid=6455&nlid=ww|shoes|shop+by+product
								</a>
								 - ссылка с двумя параметрами в URL
							</li>

							<li>
								Навигация на сайте docs.ozon с подписями title
								<ul>
									<li><a href="https://docs.ozon.ru/common/moj-zakaz" title="Мой заказ">https://docs.ozon.ru/common/moj-zakaz</a></li>
									<li><a href="https://docs.ozon.ru/common/tovary" title="Товары">https://docs.ozon.ru/common/tovary</a></li>
									<li><a href="https://docs.ozon.ru/common/oplata" title="Оплата">https://docs.ozon.ru/common/oplata</a></li>
									<li><a href="https://docs.ozon.ru/common/dostavka" title="Доставка">https://docs.ozon.ru/common/dostavka</a></li>
									<li><a href="https://docs.ozon.ru/common/otmena-i-vozvrat-zakaza" title="Отмена и возврат заказа">https://docs.ozon.ru/common/otmena-i-vozvrat-zakaza</a></li>
									<li><a href="https://docs.ozon.ru/common/kupony-i-aktsii" title="Купоны и акции">https://docs.ozon.ru/common/kupony-i-aktsii</a></li>
									<li><a href="https://docs.ozon.ru/common/kontakty" title="Контакты">https://docs.ozon.ru/common/kontakty</a></li>
								</ul>
							</li>

							<li>
								<a title="Вы находитесь на первой странице">
								Назад
								</a>
								 - ссылка без href
							</li>

							<li>
								<a href="">Link</a>
								 - ссылка с пустым href
							</li>

							<li>
								<a href="http://ya.ru" rel=nofollow>http://ya.ru</a>
								 - ссылка, по которой запрещен переход поисковикам
							</li>

							<li>
								<a href="http://htmlbook.ru" rel=noindex>http://htmlbook.ru</a>
								 - ссылка, запрещенная для индексации поисковиками
							</li>

							<li>
								<p>Основанный в 2017 году сервис <a href="https://www.cameo.com">Cameo</a> предлагает пользователям приобрести видеооткрытку у знаменитости. Потерявшие былую известность актёры, не очень популярные спортсмены или неожиданно завирусившиеся блогеры сами устанавливают ставку за ролик — в среднем от пяти до 250 долларов.</p>
								 - контекстная ссылка в тексте абзаца
							</li>

							<li>
								<a href="https://www.google.com"><img src="https://media.lpgenerator.ru/uploads/2019/07/11/1.jpg" width="60" height="50" alt="Google"></a>
								 - ссылка-изображение
							</li>

							<li>
								<img src="img.png" width="200" height="209" alt="Знак" usemap="#figuri"> 
								<map name="figuri"> 
									<area shape = "circle" coords = "96,50,40" target="_blank" href = "https://www.google.com" alt = "Круг" > 
									<area shape = "rect" coords = "15,142,182,188" target="_blank" href = "https://www.google.com" alt = "Прямоугольник" > 
								</map> 
								 - ссылки из прямоугольных и круглых областей картинки (HTML-тег map)
							</li>

							<li>
								<a href="./news.html">./news.html</a>
								 - относительную на страницу в текущем каталоге
							</li>

							<li>
								<a href="about/page.html">about/page.html</a>
								относительную на страницу в каталоге about;
							</li>

							<li>
								<a href="../news.html">../news.html</a>
								 - относительная ссылка на страницу в каталоге уровнем выше текущего
							</li>

							<li>
								<a href="../../news.html">../../news.html</a>
								 - относительная ссылка на страницу в каталоге двумя уровнями выше
							</li>

							<li>
								<a href="web.html">web.html</a>
								 - сокращенная ссылка на главную
							</li>

							<li>
								<a href="form.html">form.html</a>
								 - сокращенная ссылка на внутреннюю
							</li>

						</ol>
					</div>
				</div>
			</div>
		</div>

		<div class="d-flex flex-column">
			<div class="container order-2 order-md-1">
				<div class="row justify-content-center">
					<div class="col-auto">
						<h1 class="text-center">Таблица</h1>
							<div class="table table-striped table-bordered table-sm table-responsive text-center">
							<table>
								<thead>
									<tr>
										<th colspan="4">Результаты</th>
									</tr>
									<tr>
										<th>Фамилия</th>
										<th>Русский язык</th>
										<th>Профильная математика</th>
										<th>История</th>
									</tr>
								</thead>
								<tr>
									<td>Иванов Иван</td>
									<td>56</td>
									<td rowspan="2">База</td>
									<td>88</td>
								</tr>
								<tr>
									<td>Ложкин Олег</td>
									<td>92</td>
									<td>43</td>
								</tr>
								<tr>
									<td>Вилкин Сергей</td>
									<td>83</td>
									<td>63</td>
									<td>68</td>
								</tr>
								<tr>
									<td>Кастрюлькин Юрий</td>
									<td>28</td>
									<td>13</td>
									<td>35</td>
								</tr>
								<tr>
									<td>Тарелкин Александр</td>
									<td>100</td>
									<td>100</td>
									<td>100</td>
								</tr>
							</table>
						</div>
					</div>
				</div>
			</div>

			<div class="container order-1 order-md-2">
				<div class="overflow-auto">
					<div class="form">
						<h1>Формы</h1>
						<form>
							<div class="form-group row">
							    <label for="inputPassword" class="col-sm-2 col-form-label">Имя</label>
							    <div class="col-sm-10">
							      	<input type="text" class="form-control" id="inputName">
							    </div>
							</div>
							<div class="form-group row">
							   	<label for="inputEmail" class="col-sm-2 col-form-label">Email</label>
							    <div class="col-sm-10">
							    	<input type="email" class="form-control" id="inputEmail">
							    	<small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
								</div>
							</div>
							<div class="form-group row">
							    <label for="inputDate" class="col-sm-2 col-form-label">Дата рождения</label>
							    <div class="col-sm-10">
							      	<input type="date" class="form-control" id="inputDate">
							    </div>
							</div>
							<fieldset class="form-group">
						    	<div class="row">
							      	<legend class="col-form-label col-sm-2 pt-0">Пол</legend>
							      	<div class="col-sm-10">
							        	<div class="form-check">
							          		<input class="form-check-input" type="radio" name="gridRadios" id="gridGender1" value="" checked>
							          		<label class="form-check-label" for="gridGender1">Женский</label>
							        	</div>
							        	<div class="form-check">
								          	<input class="form-check-input" type="radio" name="gridRadios" id="gridGender2" value="">
								         	 <label class="form-check-label" for="gridGender2">Мужской</label>
								        </div>
							    	</div>
								</div>
							</fieldset>
							<fieldset class="form-group">
						    	<div class="row">
							      	<legend class="col-form-label col-sm-2 pt-0">Количество конечностей</legend>
							      	<div class="col-sm-10">
							        	<div class="form-check">
							          		<input class="form-check-input" type="radio" name="gridRadios" id="gridRadios1" value="" checked>
							          		<label class="form-check-label" for="gridRadios1">Полный человеческий комплект</label>
							        	</div>
							        	<div class="form-check">
								          	<input class="form-check-input" type="radio" name="gridRadios" id="gridRadios2" value="">
								         	<label class="form-check-label" for="gridRadios2">Немного инопланетянин</label>
								        </div>
							        	<div class="form-check">
							          		<input class="form-check-input" type="radio" name="gridRadios" id="gridRadios3" value="">
							          		<label class="form-check-label" for="gridRadios3">Для жизни хватает</label>
							        	</div>
							        	<div class="form-check">
								          	<input class="form-check-input" type="radio" name="gridRadios" id="gridRadios4" value="" checked>
								         	<label class="form-check-label" for="gridRadios4">Найти бы еще парочку рук</label>
								        </div>
								        <div class="form-check">
							          		<input class="form-check-input" type="radio" name="gridRadios" id="gridRadios5" value="">
							          		<label class="form-check-label" for="gridRadios5">Бесконечностей</label>
							        	</div>
							    	</div>
								</div>
							</fieldset>
							<fieldset class="form-group">
								<div class="row">
								    <legend class="col-form-label col-sm-2 pt-0">Сверхспособности</legend>
								    <div class="col-sm-10">
										<select multiple class="form-control" id="exampleFormControlSelect2">
									      	<option>Кодить без багов</option>
							          		<option selected="selected">Читать мысли животных</option>
							          		<option>Не спать(мечта студента =))</option>
									    </select>
									</div>
								</div>
							</fieldset>
							<div class="form-group row">
							    <label for="inputPassword" class="col-sm-2 col-form-label">Коротко о Вас</label>
							    <div class="col-sm-10">
							      	<textarea class="form-control">Меня зовут...</textarea>
							    </div>
							</div>
						  	<div class="form-group row">
						    	<div class="col-sm-6">Согласие на обработку персональных данных</div>
						    	<div class="col-sm-6">
						     		<div class="form-check">
								        <input class="form-check-input" type="checkbox" id="gridCheck1">
								        <label class="form-check-label" for="gridCheck1">Я согласен</label>
						      		</div>
						    	</div>
						  	</div>
							<div class="form-group">
							    <label for="exampleFormControlFile1">Загрузите файл</label>
							   	 <input type="file" class="form-control-file" id="exampleFormControlFile1">
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	    <footer class="footer bg-dark text-white py-4">
	    	<div class="container">
    			<div class="row">
    				<div class="col-sm">
    					<p>Copyright © <time datetime="2020">2020</time> Black Mesa Research Facility</p>
		      			<address class="m-0">New Mexico, USA.</address>	
    				</div>
		     	</div>
		    </div>
	    </footer>
	</body>
</html>
